#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( interfaces )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${GPGME_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    context.h key.h eventloopinteractor.h
    data.h gpgmefw.h result.h keylistresult.h
    keygenerationresult.h importresult.h decryptionresult.h
    verificationresult.h signingresult.h encryptionresult.h
    engineinfo.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/gpgme++ )


##### gpgme++ (shared) ##########################

tde_add_library( gpgme++ SHARED
  SOURCES
    context.cpp key.cpp data.cpp
    callbacks.cpp eventloopinteractor.cpp
    keylistresult.cpp keygenerationresult.cpp
    importresult.cpp decryptionresult.cpp
    verificationresult.cpp signingresult.cpp
    encryptionresult.cpp engineinfo.cpp
  VERSION 5.0.0
  LINK ${TQT_LIBRARIES} ${GPGME_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)
